From 19c63dd04c55e0954e181b8b6cd06e435024df70 Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Fri, 18 Nov 2022 09:21:50 +1100
Subject: [PATCH 16/56] gcc: Re-add TYPE_METHODS.

gcc/ChangeLog:

	* tree.h (TYPE_METHODS): Re-add.
---
 gcc/tree.h | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/gcc/tree.h b/gcc/tree.h
index a863d2e50e5..56409bfad13 100644
--- a/gcc/tree.h
+++ b/gcc/tree.h
@@ -2454,6 +2454,8 @@ extern tree vector_element_bits_tree (const_tree);
 
 #define TYPE_MAX_VALUE(NODE) \
   (NUMERICAL_TYPE_CHECK (NODE)->type_non_common.maxval)
+#define TYPE_METHODS(NODE)        \
+  (RECORD_OR_UNION_CHECK (NODE)->type_non_common.maxval)
 #define TYPE_METHOD_BASETYPE(NODE)			\
   (FUNC_OR_METHOD_CHECK (NODE)->type_non_common.maxval)
 #define TYPE_OFFSET_BASETYPE(NODE)			\
-- 
2.38.1

